Qt Creator 4.8.0 based on Qt 5.12.0 - QApplication: invalid style override passed, ignoring it.



  • When I run qtcreator on a Linux Mint 17.3 64-bit (ubuntu trusty) kernel 4.4.0, the following error message appears:
    QApplication: invalid style override passed, ignoring it.
    Qt / Tools / QtCreator / bin / qtcreator: relocation error: /home/cvitagliano/Qt/Tools/QtCreator/lib/Qt/plugins/platforms/../../lib/libQt5DBus.so.5: symbol dbus_message_get_allow_interactive_authorization, version LIBDBUS_1_3 not defined in file libdbus-1.so.3 with link time reference

    It looks like the link libQt5DBus.so.5 is pointing to the correct place, and I can not find the file LIBDBUS_1_3.

    Help me please.


  • Lifetime Qt Champion

    Hi,

    What version of DBus do you have installed on your system ?


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.